# -*- coding: utf-8 -*-
# Generated by Django 1.11.1 on 2017-06-10 11:51
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Acrolike',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
            ],
            options={
                'db_table': 'acrolike',
            },
        ),
        migrations.CreateModel(
            name='Acronym',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=255, null=True)),
                ('c', models.CharField(blank=True, max_length=50, null=True)),
                ('a', models.CharField(blank=True, max_length=50, null=True)),
                ('m', models.CharField(blank=True, max_length=50, null=True)),
                ('p', models.CharField(blank=True, max_length=50, null=True)),
            ],
            options={
                'db_table': 'acronym',
            },
        ),
        migrations.CreateModel(
            name='Audios',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('filename', models.CharField(max_length=255)),
                ('title', models.CharField(blank=True, max_length=255, null=True)),
                ('description', models.TextField(blank=True, null=True)),
            ],
            options={
                'db_table': 'audios',
            },
        ),
        migrations.CreateModel(
            name='Comments',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('comment', models.TextField()),
                ('name', models.CharField(blank=True, max_length=150, null=True)),
                ('email', models.CharField(blank=True, max_length=255, null=True)),
                ('personid', models.IntegerField(blank=True, db_column='personID', null=True)),
                ('dateadded', models.DateTimeField(db_column='dateAdded')),
                ('datemodified', models.DateTimeField(blank=True, db_column='dateModified', null=True)),
                ('parentid', models.IntegerField(blank=True, db_column='parentID', null=True)),
                ('contentid', models.IntegerField(db_column='contentID')),
                ('ip', models.CharField(blank=True, db_column='IP', max_length=50, null=True)),
            ],
            options={
                'db_table': 'comments',
            },
        ),
        migrations.CreateModel(
            name='Content',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('shortname', models.CharField(db_column='shortName', max_length=255)),
                ('title', models.CharField(max_length=255)),
                ('header', models.TextField(blank=True, null=True)),
                ('body', models.TextField(blank=True, null=True)),
                ('schedule', models.TextField(blank=True, null=True)),
                ('schedulebutton', models.CharField(blank=True, db_column='scheduleButton', max_length=255, null=True)),
                ('optbtn2', models.CharField(blank=True, db_column='optBtn2', max_length=127, null=True)),
                ('opttext2', models.TextField(blank=True, db_column='optText2', null=True)),
                ('optbtn3', models.CharField(blank=True, db_column='optBtn3', max_length=127, null=True)),
                ('opttext3', models.TextField(blank=True, db_column='optText3', null=True)),
                ('technotes', models.TextField(blank=True, db_column='technotes', null=True)),
                ('image', models.CharField(blank=True, max_length=150, null=True)),
                ('postedby', models.CharField(blank=True, db_column='postedBy', max_length=50, null=True)),
                ('datestart', models.DateField(blank=True, db_column='dateStart', null=True)),
                ('dateend', models.DateField(blank=True, db_column='dateEnd', null=True)),
                ('dateadded', models.DateTimeField(db_column='dateAdded')),
                ('datemodified', models.DateTimeField(blank=True, db_column='dateModified', null=True)),
                ('published', models.IntegerField()),
                ('place', models.CharField(blank=True, max_length=255, null=True)),
                ('parentid', models.IntegerField(blank=True, db_column='parentID', null=True)),
            ],
            options={
                'db_table': 'content',
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='ContentContent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('contentid1', models.ForeignKey(db_column='contentID1', on_delete=django.db.models.deletion.CASCADE, related_name='child', to='content.Content')),
                ('contentid2', models.ForeignKey(db_column='contentID2', on_delete=django.db.models.deletion.CASCADE, related_name='parent', to='content.Content')),
            ],
            options={
                'db_table': 'content_content',
            },
        ),
        migrations.CreateModel(
            name='ContentKeyword',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('contentid', models.IntegerField(db_column='contentID')),
                ('keywordid', models.IntegerField(db_column='keywordID')),
            ],
            options={
                'db_table': 'content_keyword',
            },
        ),
        migrations.CreateModel(
            name='ContentResource',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('contentid', models.IntegerField(db_column='contentID')),
                ('resourceid', models.IntegerField(db_column='resourceID')),
            ],
            options={
                'db_table': 'content_resource',
            },
        ),
        migrations.CreateModel(
            name='ContentTypes',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('description', models.TextField(blank=True, null=True)),
            ],
            options={
                'db_table': 'content_types',
            },
        ),
        migrations.CreateModel(
            name='File',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fil', models.FileField(upload_to='files')),
                ('description', models.TextField(blank=True, null=True)),
                ('date', models.DateTimeField(auto_now_add=True)),
                ('order', models.IntegerField(blank=True, null=True)),
                ('content', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='content.Content')),
            ],
        ),
        migrations.CreateModel(
            name='Image',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(upload_to='images')),
                ('description', models.TextField(blank=True, null=True)),
                ('date', models.DateTimeField(auto_now_add=True)),
                ('order', models.IntegerField(blank=True, null=True)),
                ('content', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='images', to='content.Content')),
            ],
        ),
        migrations.CreateModel(
            name='Keywords',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('description', models.TextField(blank=True, null=True)),
            ],
            options={
                'db_table': 'keywords',
            },
        ),
        migrations.CreateModel(
            name='Link',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.URLField()),
                ('description', models.TextField(blank=True, null=True)),
                ('date', models.DateTimeField(auto_now_add=True)),
                ('order', models.IntegerField(blank=True, null=True)),
                ('content', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='content.Content')),
            ],
        ),
        migrations.CreateModel(
            name='People',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=255, null=True)),
                ('email', models.CharField(blank=True, max_length=255, null=True)),
                ('location', models.CharField(blank=True, max_length=255, null=True)),
                ('login', models.CharField(blank=True, max_length=100, null=True)),
                ('password', models.CharField(blank=True, max_length=16, null=True)),
                ('href', models.CharField(blank=True, max_length=255, null=True)),
                ('bio', models.TextField(blank=True, null=True)),
                ('type', models.IntegerField()),
            ],
            options={
                'db_table': 'people',
            },
        ),
        migrations.CreateModel(
            name='PersonContent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('personid', models.IntegerField(db_column='personID')),
                ('contentid', models.IntegerField(db_column='contentID')),
                ('level', models.IntegerField()),
            ],
            options={
                'db_table': 'person_content',
            },
        ),
        migrations.CreateModel(
            name='PersonResource',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('personid', models.IntegerField(db_column='personID')),
                ('resourceid', models.IntegerField(db_column='resourceID')),
            ],
            options={
                'db_table': 'person_resource',
            },
        ),
        migrations.CreateModel(
            name='Resources',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.IntegerField()),
                ('href', models.CharField(max_length=255)),
                ('description', models.TextField(blank=True, null=True)),
                ('mime', models.CharField(blank=True, max_length=10, null=True)),
                ('width', models.IntegerField(blank=True, null=True)),
                ('height', models.IntegerField(blank=True, null=True)),
                ('istech', models.IntegerField(db_column='isTech')),
                ('dateadded', models.DateTimeField(blank=True, db_column='dateAdded', null=True)),
                ('orderno', models.IntegerField(blank=True, db_column='orderNo', null=True)),
            ],
            options={
                'db_table': 'resources',
            },
        ),
        migrations.CreateModel(
            name='Videos',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sha1', models.CharField(max_length=50)),
                ('href', models.CharField(max_length=255)),
                ('title', models.TextField(blank=True, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('width', models.IntegerField(blank=True, null=True)),
                ('height', models.IntegerField(blank=True, null=True)),
                ('duration', models.IntegerField(blank=True, null=True)),
                ('thumbno', models.IntegerField(db_column='thumbNo')),
                ('image', models.CharField(blank=True, max_length=255, null=True)),
                ('contentid', models.IntegerField(blank=True, null=True)),
            ],
            options={
                'db_table': 'videos',
            },
        ),
        migrations.CreateModel(
            name='Views',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('href', models.CharField(blank=True, max_length=255, null=True)),
            ],
            options={
                'db_table': 'views',
            },
        ),
        migrations.AddField(
            model_name='content',
            name='parents',
            field=models.ManyToManyField(related_name='children', through='content.ContentContent', to='content.Content'),
        ),
        migrations.AddField(
            model_name='content',
            name='type',
            field=models.ForeignKey(db_column='type', on_delete=django.db.models.deletion.CASCADE, to='content.ContentTypes'),
        ),
        migrations.AddField(
            model_name='content',
            name='view',
            field=models.ForeignKey(blank=True, db_column='view', null=True, on_delete=django.db.models.deletion.CASCADE, to='content.Views'),
        ),
    ]
